Subject: Re: [PATCH v2 0/7] strbuf cleanups

From: Junio C Hamano <[email-masked]>
Date: Fri, 05 May 2023 15:33:27 -0700

Calvin Wan <[email-masked]> writes:

> Strbuf is a widely used basic structure that should only interact with
> other primitives in strbuf.[ch]. Over time certain functions inside of
> strbuf.[ch] have been added to interact with higher level objects and
> functions. This series cleans up some of those higher level interactions
> by moving the offending functions to the files they interact with and
> adding documentation to strbuf.h. With the goal of eventually being able
> to stand up strbuf as a libary, this series also removes the use of
> environment variables from strbuf.

This round hasn't seen any comments (mine does not count ;-).  The
7/7-only v3 still says "environment variable" to refer to a global
variable, so I am not sure where we stand.  Is this back-burnered?